Bug 192405 - Dangling symlink
Dangling symlink
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
5
All Linux
urgent Severity medium
: ---
: ---
Assigned To: David Zeuthen
: EasyFix
Depends On:
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-05-19 09:50 EDT by David Woodhouse
Modified: 2013-03-05 22:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-25 23:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-05-19 09:50:55 EDT
The dbus-devel package contains a dangling symlink /usr/lib/libdbus-glib.so,
pointing to a file which is provided only by the dbus-glib package. But
dbus-devel doesn't require dbus-glib.

This causes bug #191761, and the naïve option of just adding BuildRequires:
dbus-glib doesn't seem appropriate.
Comment 1 Jesse Keating 2006-07-10 15:52:36 EDT
Ping.  A mass rebuild is scheduled for tomorrow, July 11th.  Please try to have
your package fixed by then.
Comment 2 Rex Dieter 2006-09-25 09:13:32 EDT
This really is an EasyFix, simply add to -devel subpkg:
Requires: %{name}-glib
Comment 3 Matthias Clasen 2006-09-26 12:27:04 EDT
Not an FC6 issue
Comment 4 Matthias Clasen 2007-03-25 23:24:45 EDT
That symlink is in dbus-glib-devel nowadays.

Note You need to log in before you can comment on or make changes to this bug.